Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class AllElementValidator

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              com.saxonica.validate.ValidatingFilter
                  com.saxonica.validate.ContentValidator
                      com.saxonica.validate.AttributeValidator
                          com.saxonica.validate.AllElementValidator

All Implemented Interfaces:
  Result, Receiver

    public class AllElementValidator

extends AttributeValidator

This class is validator used to check the content of an element whose complex type uses the "xs:all" construction in XML Schema.

Field Summary

Fields inherited from class com.saxonica.validate.ContentValidator
`nil, NIL_ALLOWED, NIL_DISALLOWED, NIL_IGNORED, pendingMessages, xsiType`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`protected` | `AllElementValidator(UserComplexType type, Receiver next)` Create an AllElementValidator

Method Summary
`void` | `characters(CharSequence chars, int locationId, int properties)` Handle character data appearing as a child of the element being validated
`void` | `endElement()` Validation at the end of the element being validated.
`protected ContentValidator` | `getChildValidator()` Get a validator to handle the children of the current element.
`SchemaType` | `getSchemaType()` Get the schema type against which we are validating, if any
`void` | `setPipelineConfiguration(PipelineConfiguration pipe)` Set the pipeline configuration
`void` | `startElement(NodeName elemName, SchemaType typeCode, int locationId, int properties)` Handle the start tag for a child element of the element being validated

Methods inherited from class com.saxonica.validate.AttributeValidator
`attribute, getMostRecentAttributeType, noCharactersWhenNil, processWildcardTerm, setAttributeGroup, startContent`

Methods inherited from class com.saxonica.validate.ContentValidator
`endDocument, getAnnotation, getConstraintChecker, getContainingElement, getContainingElementLocationId, getContainingElementName, getElementDeclaration, getNamespaceResolver, getNillability, getStartTagBuffer, isNil, makeValidator, makeValidatorForType, setAnnotation, setConstraintChecker, setContainingElement, setElementDeclaration, setNillability, setStartTagBuffer, setXSIType`

Methods inherited from class com.saxonica.validate.ValidatingFilter
`append, getErrorCode, getInvalidity, isInvalid, reportIfInvalid, reportValidationError, setErrorCode, setInvalidity, usesTypeAnnotations`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`close, comment, getNamePool, getUnderlyingReceiver, namespace, open, processingInstruction, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getConfiguration, getPipelineConfiguration, getSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllElementValidator

    protected AllElementValidator(UserComplexType type,
                                  Receiver next)
                           throws ValidationException

  Create an AllElementValidator

  Parameters:
    `type` - the complex type to be validated
    `next` - the next receiver in the pipeline
  Throws:
    `ValidationException` - if the schema is incomplete

Method Detail

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipe)

  Description copied from interface: `Receiver`
  Set the pipeline configuration

  Specified by:
    `setPipelineConfiguration` in interface `Receiver`
  Overrides:
    `setPipelineConfiguration` in class `ProxyReceiver`
  Parameters:
    `pipe` - the pipeline configuration

### getSchemaType

    public SchemaType getSchemaType()

  Get the schema type against which we are validating, if any

  Specified by:
    `getSchemaType` in class `ContentValidator`
  Returns:
    the schema type that this validator is validating against, or null

### startElement

    public void startElement(NodeName elemName,
                             SchemaType typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Handle the start tag for a child element of the element being validated

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `AttributeValidator`
  Parameters:
    `elemName` - integer code identifying the name of the element within the name pool.
    `typeCode` - integer code identifying the element's type within the name pool.
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - properties of the element node
  Throws:
    `XPathException` - if an error occurs

### getChildValidator

    protected ContentValidator getChildValidator()

  Get a validator to handle the children of the current element. This is called immediately on return from the startElement call that starts this element.

  Specified by:
    `getChildValidator` in class `ContentValidator`
  Returns:
    the validator to be used to handle the children

### characters

    public void characters(CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Handle character data appearing as a child of the element being validated

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `AttributeValidator`
  Parameters:
    `chars` - The character content
    `properties` - Additional properties
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
  Throws:
    `XPathException` - If this element does not allow character data

### endElement

    public void endElement()
                    throws XPathException

  Validation at the end of the element being validated.

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `ProxyReceiver`
  Throws:
    `XPathException` - if the element is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.